## linux-manta 3.4.0-6.29

=== drivers/staging/iio/pressure/Makefile ===
#
# Makefile for industrial I/O Pressure sensors
#

obj-$(CONFIG_BMP182)		+= bmp182.o
