=== drivers/media/video/exynos/Makefile ===
obj-$(CONFIG_EXYNOS_MEDIA_DEVICE)	+= mdev/
obj-$(CONFIG_VIDEO_EXYNOS_MIPI_CSIS)	+= mipi-csis/
obj-$(CONFIG_VIDEO_EXYNOS_FIMC_LITE)	+= fimc-lite/
obj-$(CONFIG_VIDEO_EXYNOS_GSCALER)	+= gsc/
obj-$(CONFIG_VIDEO_EXYNOS_JPEG)		+= jpeg/
obj-$(CONFIG_VIDEO_EXYNOS_FIMG2D)	+= fimg2d/
obj-$(CONFIG_VIDEO_EXYNOS_MFC)	+= mfc/
obj-$(CONFIG_VIDEO_EXYNOS_TV)		+= tv/
obj-$(CONFIG_VIDEO_EXYNOS_ROTATOR)	+= rotator/
obj-$(CONFIG_VIDEO_EXYNOS5_FIMC_IS)	+= fimc-is-mc/
obj-$(CONFIG_VIDEO_EXYNOS5_FIMC_IS2)	+= fimc-is-mc2/

EXTRA_CLAGS += -Idrivers/media/video
