=== drivers/net/ethernet/fujitsu/Makefile ===
#
# Makefile for the Fujitsu network device drivers.
#

obj-$(CONFIG_AT1700) += at1700.o
obj-$(CONFIG_ETH16I) += eth16i.o
obj-$(CONFIG_PCMCIA_FMVJ18X) += fmvj18x_cs.o
