=== debian/changelog ===
linux-manta (3.4.0-7.30) vivid; urgency=low

  [ Andy Whitcroft ]

  * [Config] CONFIG_FHANDLE=y
    - LP: #1412543

  [ Tim Gardner ]

  * [Debian] getabis: Commit new ABI directory, remove the old

 -- Andy Whitcroft <apw@canonical.com>  Tue, 20 Jan 2015 12:07:58 +0000

linux-manta (3.4.0-6.29) utopic; urgency=low

  [ John Johansen ]

  * SAUCE: (no-up) apparmor: Sync to apparmor3 - RC1 snapshot
    - LP: #1362199

  [ Tim Gardner ]

  * Revert "SAUCE: (no-up) apparmor: Sync to apparmor 3 - alpha 6 snapshot"

  [ Tyler Hicks ]

  * Revert "SAUCE: (no-up) apparmor: fix disconnected bind mnts
    reconnection"
  * Revert "SAUCE: (no-up) apparmor fix: remove unused cxt var for
    unix_sendmsg"
  * Revert "SAUCE: (no-up) apparmor: use custom write_is_locked macro"
  * Revert "SAUCE: (no-up) apparmor: fix bug that constantly spam the
    console"
  * Revert "SAUCE: (no-up) apparmor: fix apparmor refcount bug in
    apparmor_kill"
  * Revert "SAUCE: (no-up) apparmor: fix refcount bug in apparmor
    pivotroot"
  * Revert "SAUCE: (no-up) apparmor: fix apparmor spams log with warning
    message"

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 19 Sep 2014 10:35:55 -0600

linux-manta (3.4.0-6.28) utopic; urgency=low

  [ Upstream Kernel Changes ]

  * auditsc: audit_krule mask accesses need bounds checking
    - LP: #1325941
    - CVE-2014-3917
  * ptrace, x86: force IRET path after a ptrace_stop()
    - LP: #1337339
    - CVE-2014-4699
  * net/l2tp: don't fall back on UDP [get|set]sockopt
    - LP: #1341472
    - CVE-2014-4943

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 03 Sep 2014 12:43:49 -0700

linux-manta (3.4.0-6.27) utopic; urgency=low

  [ Javier Martinez Canillas ]

  * SAUCE: (no-up) apparmor: fix bug that constantly spam the console
    - LP: #1323526

  [ John Johansen ]

  * Revert "SAUCE: apparmor: removing extra code block that was probably
    added by a conflict"
  * Revert "SAUCE: apparmor: removing define as it's currently defined"
  * Revert "SAUCE: apparmor: fix bad lock balance when introspecting
    policy"
  * Revert "SAUCE: apparmor: fix memleak of replacedby struct"
  * Revert "SAUCE: apparmor: fix memleak of the profile hash"
  * Revert "SAUCE: apparmor: allocate path lookup buffers during init"
  * Revert "SAUCE: apparmor: fix unix domain sockets to be mediated on
    connection"
  * Revert "SAUCE: (no-up) apparmor: Sync to apparmor 3 - alpha 4 snapshot"
  * SAUCE: (no-up) apparmor: Sync to apparmor 3 - alpha 6 snapshot
  * SAUCE: (no-up) apparmor: update configs for apparmor 3 alpha 6
  * SAUCE: (no-up) apparmor: fix apparmor spams log with warning message
    - LP: #1308761
  * SAUCE: (no-up) apparmor: fix refcount bug in apparmor pivotroot
    - LP: #1308765
  * SAUCE: (no-up) apparmor: fix apparmor refcount bug in apparmor_kill
    - LP: #1308764
  * SAUCE: (no-up) apparmor: use custom write_is_locked macro
    - LP: #1323530
  * SAUCE: (no-up) apparmor fix: remove unused cxt var for unix_sendmsg
  * SAUCE: (no-up) apparmor: fix disconnected bind mnts reconnection
    - LP: #1319984

  [ Tyler Hicks ]

  * [Config] CONFIG_ECRYPT_FS=y
  * [Config] Sync LSM config options
  * [Config] Sync crypto config options
  * [Config] Sync IPsec config options

  [ Upstream Kernel Changes ]

  * Revert "perf: Treat attr.config as u64 in perf_swevent_init()"
  * Revert "ARM: 7809/1: perf: fix event validation for software group
    leaders"
    - CVE-2013-4254
  * net: fix incorrect credentials passing
    - CVE-2013-1979
  * perf: Treat attr.config as u64 in perf_swevent_init()
    - CVE-2013-2094
  * iscsi-target: fix heap buffer overflow on error
    - CVE-2013-2850
  * ARM: 7809/1: perf: fix event validation for software group leaders
    - CVE-2013-4254
  * n_tty: Fix n_tty_write crash when echoing in raw mode
    - CVE-2014-0196
  * floppy: ignore kernel-only members in FDRAWCMD ioctl input
    - CVE-2014-1737
  * floppy: don't write kernel-only members to FDRAWCMD ioctl output
    - CVE-2014-1738
  * futex: fix handling of read-only-mapped hugepages
    - CVE-2014-3153
  * futex: Add another early deadlock detection check
    - CVE-2014-3153
  * futex: Prevent attaching to kernel threads
    - CVE-2014-3153
  * futex-prevent-requeue-pi-on-same-futex.patch futex: Forbid uaddr ==
    uaddr2 in futex_requeue(..., requeue_pi=1)
    - CVE-2014-3153
  * futex: Validate atomic acquisition in futex_lock_pi_atomic()
    - CVE-2014-3153
  * futex: Always cleanup owner tid in unlock_pi
    - CVE-2014-3153
  * futex: Make lookup_pi_state more robust
    - CVE-2014-3153

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 26 Jun 2014 12:59:21 -0600

linux-manta (3.4.0-6.26) utopic; urgency=low

  [ Tyler Hicks ]

  * [Config] Enable ext2 and ext4 security-related options

  [ Upstream Kernel Changes ]

  * exec/ptrace: fix get_dumpable() incorrect tests
    - LP: #1266546
    - CVE-2013-2929

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 30 May 2014 11:15:39 +0200

linux-manta (3.4.0-6.25) trusty; urgency=low

  [ Tim Gardner ]

  * [Config] CONFIG_EXT3_FS_POSIX_ACL=y, CONFIG_EXT3_FS_SECURITY=y
    - LP: #1295948

 -- Tim Gardner <tim.gardner@canonical.com>  Sun, 23 Mar 2014 09:35:15 -0600

linux-manta (3.4.0-6.24) trusty; urgency=low

  [ Andy Whitcroft ]

  * [Config] CONFIG_RT_GROUP_SCHED=n
    - LP: #1284731
  * [Config] enforcer file cannot be zero length

 -- Andy Whitcroft <apw@canonical.com>  Wed, 26 Feb 2014 10:58:59 +0000

linux-manta (3.4.0-5.22) trusty; urgency=low

  [ Ricardo Salveti de Araujo ]

  * SAUCE: manta-battery: syncing prop status and capacity across batteries

 -- Andy Whitcroft <apw@canonical.com>  Mon, 17 Feb 2014 15:58:24 +0000

linux-manta (3.4.0-5.21) trusty; urgency=low

  [ Kees Cook ]

  * SAUCE: (no-up) Yama: add link restrictions

  [ Tyler Hicks ]

  * [Config] Enable Stacked Yama

  [ Upstream Kernel Changes ]

  * Yama: add additional ptrace scopes
  * Yama: higher restrictions should block PTRACE_TRACEME

