## linux-manta 3.4.0-7.32~15.04.1

=== debian/changelog ===
linux-manta (3.4.0-7.32~15.04.1) vivid; urgency=low

  [ Upstream Kernel Changes ]

  * audit: printk USER_AVC messages when audit isn't enabled
    - LP: #1473584

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 13 Jul 2015 14:49:51 -0700

linux-manta (3.4.0-7.31) vivid; urgency=low

  [ Upstream Kernel Changes ]

  * net: ipv4: current group_info should be put after using.
    - LP: #1312994
    - CVE-2014-2851

 -- Andy Whitcroft <apw@canonical.com>  Wed, 28 Jan 2015 20:58:00 +0000
