=== arch/mips/power/Makefile ===
obj-$(CONFIG_HIBERNATION) += cpu.o hibernate.o
