=== sound/soc/samsung/srp_alp/Makefile ===
# ALP(Advanced Low Power Audio) Solution Support with SRP
obj-$(CONFIG_SND_SAMSUNG_ALP) += srp_alp.o
